Bug 449374 - xmodmap problems with keypad after upgrade to F9
xmodmap problems with keypad after upgrade to F9
Product: Fedora
Classification: Fedora
Component: xorg-x11-server-utils (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-06-02 10:17 EDT by J.Jansen
Modified: 2008-06-09 10:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-09 10:35:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
use .xmodmap file (1.45 KB, application/octet-stream)
2008-06-02 10:17 EDT, J.Jansen
no flags Details

  None (edit)
Description J.Jansen 2008-06-02 10:17:38 EDT
Description of problem:After upgrade to F9 xmodmap does not change all my keys
anymore. I have problems redefining the keys of the application key-pad. I use
the "modification file" as the one attached. On F8 systems this file used to work.

Version-Release number of selected component (if applicable):
xorg-x11-server-utils-7.3-3.fc9 on x64-86

How reproducible:
Always after upgrade to F9

Steps to Reproduce:
1.Upgrade to F9
2.install xorg-x11-server-utils-7.3-3.fc9
3.create a .xmodmap file (see attached)
4.put xmodmap <xmodmap-file> in login-script
5.restart X11 and login

Actual results:
Keypad keys do not work as expected

Expected results:
Keypad keys shoud kiv KP_xx codes

Additional info:
Comment 1 J.Jansen 2008-06-02 10:17:38 EDT
Created attachment 307367 [details]
use .xmodmap file
Comment 2 Matěj Cepl 2008-06-06 12:35:20 EDT
I think that xmodmap is more or less deprecated, and you should use xkb means.
However, I am not sure, and if it is true, we should put something somewhere
some information about it.
Comment 3 J.Jansen 2008-06-09 04:49:16 EDT
Seems to be a problem with the keypad and X86-64.
I did a fresh-install on the machine and the problem is still there
 but ... on a similar configured machine with a i686 system it works as expected.
         On the x86-64 machine I can modify all keys except the keypad.

Even with the "default" us-keyboard layout <shift-KP1> should give KP_1, but
even this seems not to happen.

So my guess : the problem is not xmodmap but the key processing elsewhere. I
have no clue where to look or where to report this.

Comment 4 J.Jansen 2008-06-09 10:35:49 EDT
Found this on a Ubuntu-forum

In breezy, if you press CTRL-SHIFT-NUMLOCK you turn the keypad into a
keypress/mouse cursor mode. Try typing ctrl-shift-numlock to turn this
mode off and then see if the keypad works or you now have control of the
numlock LED.

ctrl-shift-numlock dis the trick for me. I have no idea how the machine entered
this state.

Note You need to log in before you can comment on or make changes to this bug.